Module
Contents
Index 🔎︎

# Add-in Functions, List of Analysis Functions Part Two

Tene hajajo injeesate...

Surki - Assishsha - Fuula Ledi-Giddo

## IMABS

Gumu xurqa kiirora coitte hornyooti.

### Syntax

IMABS("XurqaKiiro")

XurqaKiiro xurqa kiiro ikkite"x+yi" woy "x+yj"suusdishshinni einote.

### Example

=ABS(12) 12 qolanno.

## [text/scalc/01/func_imcos.xhp#imcos_head not found].

Returns the cosine of a complex number.

## [text/scalc/01/func_imcosh.xhp#imcosh_head not found].

Returns the hyperbolic cosine of a complex number.

## [text/scalc/01/func_imcot.xhp#imcot_head not found].

Returns the cotangent of a complex number.

## [text/scalc/01/func_imcsc.xhp#imcsc_head not found].

Returns the cosecant of a complex number.

## [text/scalc/01/func_imcsch.xhp#imcsch_head not found].

Returns the hyperbolic cosecant of a complex number.

## [text/scalc/01/func_imsec.xhp#imsec_head not found].

Returns the secant of a complex number.

## [text/scalc/01/func_imsech.xhp#imsech_head not found].

Returns the hyperbolic secant of a complex number.

## [text/scalc/01/func_imsin.xhp#imsin_head not found].

Returns the sine of a complex number.

## [text/scalc/01/func_imsinh.xhp#imsinh_head not found].

Returns the hyperbolic sine of a complex number.

## [text/scalc/01/func_imtan.xhp#imtan_head not found].

Returns the tangent of a complex number.

## COMPLEX

Gumu addi hanqafaanchiwiinni nna hedote hanqafawaanchiwiinni qolantino xurqa kiirooti.

### Syntax

Xurqa(AddiKiiro; INum; jeefote kala)

RealNum is the real coefficient of the complex number.

INum is the imaginary coefficient of the complex number.

Jeefotekala doorshu dirtooti, "i" woy "j".

### Example

=Xurqa(3;4;"j") 3+4jqolanno.

## CONVERT

CHornyo mittu uduunnichi bikkonniwole uduunnichi giddo xaaddanno hornyora soorranno. Uduunnichu bikkuwaBicammete malaati giddo borrote gede woy maqishshu gede suwashshu garinni ei. Bisiccote gidd uduunnichu bikko eittoro fidalete borgara ikkitino anaantanno dirto ledo garunni xaada noose: Lawishshaho, shimmadda fidalla eate l (Litirete) bisiccote giddo, apostrophe' e'e aantete l ei.

Akata | Safarubba
Ayirra | g, sg, lbm, u, ozm, kincho, toone, gide, payirra, hayirra, shayirra, brtoone
Seendille | m, mi, Nmi, in, ft, yd, ang, Pica, ell, parsec, Xawaabbudiro, xinxallo_mi
Yanna | diro, barra, saate, daqiiqa, sekonde, sekonde
Xiiwo | Pa, atm, at, mmHg, Torr, psi
Wolqa | N, dyn, dy, lbf, pond
Wolqa | J, e, c, cal, eV, ev, HPh, Wh, wh, flb, BTU, btu
Wolqa | W, w, HP, PS
Barete kaajjille | T, ga
Tempireechere | C, F, K, kel, Reau, Deerra
Voluume | l, L, lt, tsp, tbs, oz, cup, pt, us_pt, qt, gal, m3, mi3, Nmi3, in3, ft3, yd3, ang3, Pica3, barrel, bushel, regton, Schooner, Middy, Glass
Qarqara | m2, mi2, Nmi2, in2, ft2, yd2, ang2, Pica2, Morgen, ar, acre, ha
Ranke | m/s, m/sec, m/h, mph, kn, admkn
Taje | biite, bayiite

Safarote bikko bold giddo aananno dirtonni kaimu kali fikiima sa"a dandaanno:

Kaimu kala | Batisaancho
Y (yootta) | 10^24
Z (zeetta) | 10^21
E (eexa) | 10^18
P (peeta) | 10^15
T (teera) | 10^12
G (giiga) | 10^9
M (meega) | 10^6
k (kiilo) | 10^3
h (hekto) | 10^2
e (dekka) | 10^1
d (desi) | 10^-1
c (senti) | 10^-2
m (milii) | 10^-3
u (mikiro) | 10^-6
n (naano) | 10^-9
p (piko) | 10^-12
f (feemto) | 10^-15
a (aatto) | 10^-18
z (zeepto) | 10^-21
y (yokto) | 10^-24

Tajete safaro "biite" nna "bayiite" aantinori giddo kaimu kalubba giddo IEC 60027-2 / IEEE 1541 kalantino:

ki kiibi 1024

Mi meebi 1048576

Gi giibi 1073741824

Ti teebi 1099511627776

Pi peebi 1125899906842620

Ei ekisibi 1152921504606850000

Zi zeebi 1180591620717410000000

Yi yoobi 1208925819614630000000000

The functions whose names end with _ADD or _EXCEL2003 return the same results as the corresponding Microsoft Excel 2003 functions without the suffix. Use the functions without suffix to get results based on international standards.

### Syntax

CONVERT(Number; "FromUnit"; "ToUnit")

Kiiro buuxama noose kiirooti.

FromUnit is the unit from which conversion is taking place.

ToUnit is the unit to which conversion is taking place. Both units must be of the same type.

### Example

=CONVERT(10;"HP";"PS") returns, rounded to two decimal places, 10.14. 10 HP equal 10.14 PS.

=CONVERT(10;"km";"mi") returns, rounded to two decimal places, 6.21. 10 kilometers equal 6.21 miles. The k is the permitted prefix character for the factor 10^3.

## FACTDOUBLE

Lame fakitoriaale kiiro qolanno.

### Syntax

FACTDOUBLE(Kiiro)

Kiiro !!, KiiroLame fakitoriaale qolanno, Kiiro Zerotenni taaltino woy roortino intigereeti.

Wo'ma kiirrara FACTDOUBLE(n) qolanno:

2*4*6*8* ... *n

Xea kiirrara FACTDOUBLE(n) qolanno:

1*3*5*7* ... *n

FACTDOUBLE(0) tirotenni 1 qolanno.

### Example

=FACT(0) 1 qolanno.

=FACT(3) 6 qolanno.

=FACT(0) 1 qolanno.

## IMAGINARY

Gumu hedote xurqa kiiro hanqafaanchooti.

### Syntax

HEDOTENNI("ComplexNumber")

XurqaKiiro xurqa kiiro ikkite"x+yi" woy "x+yj"suusdishshinni einote.

### Example

=Hedotenni("4+3j") 3 qolanno.

## IMARGUMENT

Gumu xurqa kiiro tidhooti (phi angile).

### Syntax

IMARGUMENT("ComplexNumber")

XurqaKiiro xurqa kiiro ikkite"x+yi" woy "x+yj"suusdishshinni einote.

### Example

=IMSQRT("3+4i") 2+1i qolanno.

## IMCONJUGATE

TGumu xurqa kiirora ledote xaaddino xurqa kiirooti.

### Syntax

IMCONJUGATE("ComplexNumber")

XurqaKiiro xurqa kiiro ikkite"x+yi" woy "x+yj"suusdishshinni einote.

### Example

=IMCONJUGATE("1+j") 1-j qolanno.

## IMDIV

Gumu lame xurqa kiiro beehaacheeti.

### Syntax

IMDIV("Kiiraamaancho"; "Kiiraancho")

Numerator, Denominator are complex numbers that are entered in the form "x+yi" or "x+yj".

### Example

=IMDIV("-238+240i";"10+24i") returns 5+12i.

## IMEXP

Gumu e wolqa nna xurqa kiirooti. Soorrantannokki e hedotenni 2.71828182845904 hornyo afidhino.

### Syntax

IMEXP("ComplexNumber")

XurqaKiiro xurqa kiiro ikkite"x+yi" woy "x+yj"suusdishshinni einote.

### Example

=IMEXP("1+j") returns 1.47+2.29j (rounded).

## IMLN

Gumu kalaqamu logartizime (kaimu e) xurqa kiirora. Sorrantannokki e hedotenni 2.71828182845904 hornyo afidhino.

### Syntax

IMLN("ComplexNumber")

XurqaKiiro xurqa kiiro ikkite"x+yi" woy "x+yj"suusdishshinni einote.

### Example

=IMLN("1+j") returns 0.35+0.79j (rounded).

## IMLOG10

Gumu gutu logaartizime (kaima 10) xurqa kiirora.

### Syntax

IMLOG10("ComplexNumber")

XurqaKiiro xurqa kiiro ikkite"x+yi" woy "x+yj"suusdishshinni einote.

### Example

=IMLOG10("1+j") returns 0.15+0.34j (rounded).

## IMLOG2

Gumu xurqakiirora lamu logaartizimeeti.

### Syntax

IMLOG2("ComplexNumber")

XurqaKiiro xurqa kiiro ikkite"x+yi" woy "x+yj"suusdishshinni einote.

### Example

=IMLOG2("1+j") returns 0.50+1.13j (rounded).

## IMPOWER

The result is the ComplexNumber raised to the power of Number.

### Syntax

IMPOWER("ComplexNumber"; Kiiro)

XurqaKiiro xurqa kiiro ikkite"x+yi" woy "x+yj"suusdishshinni einote.

Kiiro wolqate kiirooti.

### Example

=IMSQRT("3+4i") 2+1i qolanno.

## IMPRODUCT

Gumu xurqa kiirora 29 geeshshi gumaaati.

### Syntax

IMPRODUCT("XurqaKiirora"; "XurqaKiirora1"; ...)

XurqaKiiro xurqa kiiro ikkite"x+yi" woy "x+yj"suusdishshinni einote.

### Example

=IMREAL("1+3j") 1qolanno.

## IMREAL

Gumu xurqa kiirora addi kiirote hanqafaanchooti.

### Syntax

IMREAL("ComplexNumber")

XurqaKiiro xurqa kiiro ikkite"x+yi" woy "x+yj"suusdishshinni einote.

### Example

=IMREAL("1+3j") 1qolanno.

## IMSQRT

Gumu xurqa kiiro lamu wolqaati.

### Syntax

IMSQRT("XurqaKiiro")

XurqaKiiro xurqa kiiro ikkite"x+yi" woy "x+yj"suusdishshinni einote.

### Example

=IMSQRT("3+4i") 2+1i qolanno.

## IMSUB

Gumu lame xurqa kiirra xeishshaati.

### Syntax

IMSUB("XurqaKiirora1"; "XurqaKiirora2")

XurqaKiiro xurqa kiiro ikkite"x+yi" woy "x+yj"suusdishshinni einote.

### Example

=IMREAL("1+3j") 1qolanno.

## IMSUM

Gumu xurqa kiirora 29 geeshshi gumaaati.

### Syntax

IMSUM ("XurqaKiirora1"; "XurqaKiirora2"; ...)

XurqaKiiro xurqa kiiro ikkite"x+yi" woy "x+yj"suusdishshinni einote.

### Example

=IMREAL("1+3j") 1qolanno.

## OCT2BIN

Gumu sette midaadda eora lamooshshe kiirooti.

### Syntax

OCT2BIN(Kiiro; Darguwa)

Kiiro tonnimmate kiirooti. Kiiro jawunni 10 darguwa afidhino. Roore hasiissanno biite malaatu biiteeti, aantanno bituwa hornyo qoltanno. Negaatiive kiiro lamu xaadoshshi gede eino.

Darguwa guma ikkitanno darguwa kiirooti.

### Example

=COMBIN(3;2) 3. qolanno.

## OCT2DEC

Gumu tonnishshu kiiro eora tonnimmate kiirooti.

### Syntax

OCT2DEC(Kiiro)

Kiiro tonnimmate kiirooti. Kiiro jawunni 10 darguwa afidhino. Roore hasiissanno biite malaatu biiteeti, aantanno bituwa hornyo qoltanno. Negaatiive kiiro lamu xaadoshshi gede eino.

### Example

=HEX2DEC(64) 100 qolanno.

## OCT2HEX

Gumu sette kiiro eora leetonnishshu kiirooti.

### Syntax

OCT2HEX(Kiiro; Darguwa)

Kiiro tonnimmate kiirooti. Kiiro jawunni 10 darguwa afidhino. Roore hasiissanno biite malaatu biiteeti, aantanno bituwa hornyo qoltanno. Negaatiive kiiro lamu xaadoshshi gede eino.

Darguwa guma ikkitanno darguwa kiirooti.

### Example

=DEC2HEX(100;4) 0064 qolanno.

Fiixoo'mino umo

Add-in Functions

Add-in Functions, List of Analysis Functions Part One

Statistics Functions

Functions by Category